Debian Bug report logs - #659823
live-build: lb build fails while building ubuntu/oneiric targeting oneric

version graph

Package: live-build; Maintainer for live-build is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-build is src:live-build.

Reported by: Marco Lechner <marco.lechner@fossgis.de>

Date: Mon, 13 Feb 2012 22:27:02 UTC

Severity: normal

Found in version live-build/3.0~a44-1

Fixed in version live-build/3.0~a45-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, marco.lechner@fossgis.de, Debian Live Project <debian-live@lists.debian.org>:
Bug#659823; Package live-build. (Mon, 13 Feb 2012 22:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marco Lechner <marco.lechner@fossgis.de>:
New Bug report received and forwarded. Copy sent to marco.lechner@fossgis.de, Debian Live Project <debian-live@lists.debian.org>. (Mon, 13 Feb 2012 22:27:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marco Lechner <marco.lechner@fossgis.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-build: lb build fails while building ubuntu/oneiric targeting oneric
Date: Mon, 13 Feb 2012 23:25:28 +0100
Package: live-build
Version: 3.0~a44-1
Severity: normal

lb build fails when trying to build a ubuntu/oneiric live system.
Error is that it tries to find "oneric" instead of oneiric.

Fix: Fix typo in /usr/share/live/build/functions/defaults.sh

-- Package-specific info:

-- System Information:
Debian Release: wheezy/sid
  APT prefers oneiric-updates
  APT policy: (500, 'oneiric-updates'), (500, 'oneiric-security'), (500, 'oneiric'), (100, 'oneiric-backports')
Architecture: i386 (i686)

Kernel: Linux 3.0.0-16-generic (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages live-build depends on:
ii  cdebootstrap                0.5.7ubuntu2 Bootstrap a Debian system
ii  debootstrap                 1.0.37       Bootstrap a basic Debian system

Versions of packages live-build recommends:
ii  cpio                   2.11-7ubuntu1     GNU cpio -- a program to manage ar
ii  gettext-base           0.18.1.1-3ubuntu1 GNU Internationalization utilities
ii  gnu-fdisk              1.2.4-3           Linux fdisk replacement based on l
ii  live-boot-doc          3.0~a19-1         Debian Live - System Boot Scripts 
pn  live-config-doc        <none>            (no description available)
pn  live-manual-html | liv <none>            (no description available)

Versions of packages live-build suggests:
ii  dosfstools          3.0.9-1ubuntu3       utilities for making and checking 
ii  fakeroot            1.17-1               tool for simulating superuser priv
ii  genisoimage         9:1.1.11-1ubuntu2    Creates ISO-9660 CD-ROM filesystem
ii  memtest86+          4.20-1ubuntu1        thorough real-mode memory tester
ii  mtd-utils [mtd-tool 1:1.4.4-1            Memory Technology Device Utilities
ii  mtools              4.0.12-1             Tools for manipulating MSDOS files
ii  parted              2.3-6ubuntu3         disk partition manipulator
ii  squashfs-tools      1:4.2-4              Tool to create and append to squas
ii  sudo                1.7.4p6-1ubuntu2     Provide limited super user privile
ii  syslinux            2:4.04+dfsg-1ubuntu1 collection of boot loaders
ii  uuid-runtime        2.19.1-2ubuntu3      runtime components for the Univers
pn  win32-loader        <none>               (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#659823; Package live-build. (Tue, 14 Feb 2012 04:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Tue, 14 Feb 2012 04:39:07 GMT) Full text and rfc822 format available.

Message #10 received at 659823@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Marco Lechner <marco.lechner@fossgis.de>
Cc: 659823@bugs.debian.org
Subject: Re: Bug#659823: live-build: lb build fails while building ubuntu/oneiric targeting oneric
Date: Tue, 14 Feb 2012 05:36:33 +0100
tag 659823 pending
thanks

On 02/13/2012 11:25 PM, Marco Lechner wrote:
> lb build fails when trying to build a ubuntu/oneiric live system.
> Error is that it tries to find "oneric" instead of oneiric.

fixed in git, thanks.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Added tag(s) pending. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Tue, 14 Feb 2012 04:39:09 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Thu, 16 Feb 2012 21:17:28 GMT) Full text and rfc822 format available.

Notification sent to Marco Lechner <marco.lechner@fossgis.de>:
Bug acknowledged by developer. (Thu, 16 Feb 2012 21:17:29 GMT) Full text and rfc822 format available.

Message #17 received at 659823-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 659823-close@bugs.debian.org
Subject: Bug#659823: fixed in live-build 3.0~a45-1
Date: Thu, 16 Feb 2012 21:13:49 +0000
Source: live-build
Source-Version: 3.0~a45-1

We believe that the bug you reported is fixed in the latest version of
live-build, which is due to be installed in the Debian FTP archive:

live-build-cgi_3.0~a45-1_all.deb
  to main/l/live-build/live-build-cgi_3.0~a45-1_all.deb
live-build-cron_3.0~a45-1_all.deb
  to main/l/live-build/live-build-cron_3.0~a45-1_all.deb
live-build_3.0~a45-1.debian.tar.gz
  to main/l/live-build/live-build_3.0~a45-1.debian.tar.gz
live-build_3.0~a45-1.dsc
  to main/l/live-build/live-build_3.0~a45-1.dsc
live-build_3.0~a45-1_all.deb
  to main/l/live-build/live-build_3.0~a45-1_all.deb
live-build_3.0~a45.orig.tar.gz
  to main/l/live-build/live-build_3.0~a45.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 659823@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-build package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 16 Feb 2012 21:47:11 +0100
Source: live-build
Binary: live-build live-build-cgi live-build-cron
Architecture: source all
Version: 3.0~a45-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-build - Debian Live - System build scripts
 live-build-cgi - Debian Live - System build scripts (CGI frontend)
 live-build-cron - Debian Live - System build scripts (cron autobuilder)
Closes: 659823 660003
Changes: 
 live-build (3.0~a45-1) unstable; urgency=low
 .
   [ Daniel Baumann ]
   * Correcting typo in defaults for backports mirror.
   * Correcting typo in ubuntu default distribution name, thanks to Marco
     Lechner <marco.lechner@fossgis.de> (Closes: #659823).
 .
   [ Ben Armstrong ]
   * Removing menu as it adds an unwanted menu to some DEs/WMs which
     prefer to do without.
 .
   [ Daniel Baumann ]
   * Add forgotten fallback for mode setting if lsb_release is not
     installed.
   * Adding Polish debconf translations from Michal Kulach
     <michalkulach@gmail.com> (Closes: #660003).
Checksums-Sha1: 
 71b66df67a26c9b7e68dfb87708bd609e18a44ef 1413 live-build_3.0~a45-1.dsc
 e483025aeed3bc480df4ad18d3ad27e999c1a592 1847467 live-build_3.0~a45.orig.tar.gz
 d272dfbaa131193b1d18c5e762817aacce8c6dbb 62905 live-build_3.0~a45-1.debian.tar.gz
 b2e83f6016a00d5700cc2b1e15af0e6e926392fd 1152906 live-build_3.0~a45-1_all.deb
 c460fef41de53cb12fb2475ac992f00652a588da 66276 live-build-cgi_3.0~a45-1_all.deb
 f87abe9ce7db15e249f7028d5504a1d561a3477c 72876 live-build-cron_3.0~a45-1_all.deb
Checksums-Sha256: 
 c2206b2ec7de230eec9711593e9b47e1e3e1caef38bb2b6c76335af66d0d2a5e 1413 live-build_3.0~a45-1.dsc
 8566d9cef8cebf7c453c62640e1b2b911438f5060290e2284998fd12ca8ecf0b 1847467 live-build_3.0~a45.orig.tar.gz
 a08b48547b912ca3c45ca8187403d583719e89a2c6ec9b39a45897c4b261b3be 62905 live-build_3.0~a45-1.debian.tar.gz
 0c1dc323d854267dbb326e2f71b58db1df92eb0c6fbfa8eba156fb8ce30d4516 1152906 live-build_3.0~a45-1_all.deb
 d97e503c2ce9c4be5148e9f5c68ae281936a511d9ea017afd922ab46c2cd944a 66276 live-build-cgi_3.0~a45-1_all.deb
 026ef954600a5d22719ccd6db2712c838ad57bc55b9bda96858cd7d995cb5343 72876 live-build-cron_3.0~a45-1_all.deb
Files: 
 b35abdcf28893c5bb43325758fb36e0e 1413 misc optional live-build_3.0~a45-1.dsc
 a55c7a38829609cadc48672c6d7f1600 1847467 misc optional live-build_3.0~a45.orig.tar.gz
 d0db0906a151762fbceebb5009be4f5f 62905 misc optional live-build_3.0~a45-1.debian.tar.gz
 8cd9a3f5d3e88c8e6547fadd0afb05ce 1152906 misc optional live-build_3.0~a45-1_all.deb
 e55e82827106b91cbb557f1c7cd7503f 66276 misc optional live-build-cgi_3.0~a45-1_all.deb
 f0c43f43c0f293587ab5d63abafda117 72876 misc optional live-build-cron_3.0~a45-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEUEARECAAYFAk89cEIACgkQ+C5cwEsrK57qHQCdG5P6urQ4+/DMpkSVDbqHIpDa
td4Al1J5JXjITrlEUKtieVvMjjCsszE=
=ktbh
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 17 Mar 2012 07:34:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 17:01:22 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.